#include <iostream>

using namespace std;

int main()
{
    int N, Q;
    cout<<"Hany alkalommal talalt az apuka plazmat?"<<endl;
    cin>>N;
    cout<<"Hany kerdes van?"<<endl;
    cin>>Q;

    int d[300000], p[300000];
    for (int i = 0; i < N; i++)
    cin>>d[i] >>p[i];

    int kerdesek[300000];
    for (int i = 0; i<Q; i++)
    cin>> kerdesek[i];

int megevettsutik = 0;
int osszessuti[1000000000000000000];
osszessuti [0]=0;
int i;
     for (int i = 1; i <= N; i++)
        megevettsutik += p[i-1];
     osszessuti[i] = megevettsutik;
int k;
     for (int i = 0; i < Q; i++)
        int k = kerdesek[i];
     int eredmeny = osszessuti[k-1];

     cout<<eredmeny<<endl;



    return 0;
}